For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all task lists of the project with the specified id.
      • POSTCreates a new task list.
      • GETReturns the task list with the specified id.
      • PUTUpdates the task list with the specified id.
      • POSTAdds the tasks to the task list with the specified id.
      • POSTChanges the project of the task list with the specified id.
      • POSTCreates a copy of the task list.
      • POSTDeletes the task list with the specified id.
      • POSTRemoves the tasks from the task list with the specified id.
      • POSTArchives or unarchives the task list with the specified id.
      • GETReturns the task with the specified id in the task list with the specified id.
      • POSTUpdates the order of a task in a task list.
      • POSTUpdates the order of the task list with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Lists

Creates a copy of the task list.

POST
https://api.awork.com/api/v1/projects/:projectId/tasklists/:taskListId/copy
POST
/api/v1/projects/:projectId/tasklists/:taskListId/copy
$curl -X POST https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/copy \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "9f8b7c6d-1234-4a56-b789-0cdef1234567",
3 "createdOn": "2024-05-10T09:15:00Z",
4 "createdBy": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
5 "updatedOn": "2024-05-10T09:45:00Z",
6 "updatedBy": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
7 "name": "Product and Marketing To-Dos",
8 "order": 3,
9 "plannedDuration": 7200,
10 "totalPlannedDuration": 14400,
11 "totalPlannedDurationWithHierarchy": 21600,
12 "isArchived": false,
13 "isHiddenForConnectUsers": false,
14 "trackedDuration": 3600
15}
A new task list will be created with the same name as the original one. All tasks and subtasks will also be copied in this operation. Comments, files and activity logs are not copied. To copy a task list, the user needs to have 'ProjectPlanning' permissions in general or in the project the task list belongs to. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Deletes the task list with the specified id.

Next
Built with

A new task list will be created with the same name as the original one. All tasks and subtasks will also be copied in this operation. Comments, files and activity logs are not copied. To copy a task list, the user needs to have ‘ProjectPlanning’ permissions in general or in the project the task list belongs to.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.
taskListIdstringRequiredformat: "uuid"
The id of the task list.

Response

OK
idstringformat: "uuid"
The id of the task list.
createdOnstringformat: "date-time"
The date this task list was created.
createdBystringformat: "uuid"
The id of the user who created this task list.
updatedOnstringformat: "date-time"
The date this task list was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this task list.
namestring or null
The name of the list.
orderdouble or null
The order of the list.
plannedDurationinteger or null
The planned duration for this task list, in seconds.
totalPlannedDurationlong or null

The total planned duration for this task list, including all primary tasks (parent tasks which have this tacklist as PrimaryTaskListId), in seconds. Calculated: sum PlannedDuration of primary tasks in list Archived task lists are not included in the calculation.

totalPlannedDurationWithHierarchylong or null

The total planned duration for this task list, including all primary tasks (parent tasks which have this task list as PrimaryTaskListId), in seconds. Calculated: max(PlannedDuration, sum TotalPlannedDurationWithHierarchy of primary tasks in list) Archived task lists are not included in the calculation.

isArchivedboolean
Whether the task list has been archived.
isHiddenForConnectUsersboolean
True if the task in this list will be not visible for external workspace users. False otherwise.
trackedDurationinteger

The total duration of time trackings for tasks in this task list, in seconds. Includes both billable and non-billable time trackings. Backend-calculated property. When hierarchy feature flag is enabled: only tasks with PrimaryTaskListId == this list. When hierarchy feature flag is disabled: all tasks associated with this list.

Errors

401
Unauthorized Error
404
Not Found Error